org.eclipse.net4j.signal

## Class Request

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalActor
    - - org.eclipse.net4j.signal.Request

- All Implemented Interfaces:
    java.lang.Runnable
  Direct Known Subclasses:
    AcknowledgeCompressedStringsRequest, MonitorCanceledRequest, MonitorProgressRequest

      public abstract class Request
      extends SignalActor

  Represents the sender side of a one-way `signal`, i.e., one with no response.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request(SignalProtocol<?> protocol, java.lang.Enum<?> literal)`
    `Request(SignalProtocol<?> protocol, short signalID)`
    `Request(SignalProtocol<?> protocol, short id, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `requesting(ExtendedDataOutputStream out)`
    `void` | `sendAsync()`

    - ### Methods inherited from class org.eclipse.net4j.signal.SignalActor

      `execute`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Request

          public Request(SignalProtocol<?> protocol,
                         short id,
                         java.lang.String name)

      Since:
        2.0

    - #### Request

          public Request(SignalProtocol<?> protocol,
                         short signalID)

      Since:
        2.0

    - #### Request

          public Request(SignalProtocol<?> protocol,
                         java.lang.Enum<?> literal)

      Since:
        2.0

  - ### Method Detail

    - #### sendAsync

          public void sendAsync()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        2.0

    - #### requesting

          protected abstract void requesting(ExtendedDataOutputStream out)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html